
Robotics Service Bus - Enhancement #864
Logger's monitor mode could use ANSI escape sequences to manage screen
02/07/2012 06:57 PM - J. Moringen

Status: Resolved Start date: 02/07/2012
Priority: Low Due date:
Assignee: J. Moringen % Done: 100%
Category: C++ Tools Estimated time: 0.00 hour
Target version: 0.6
Description
The appropriate sequence would be
    1. move cursor to 1,1
    2. clear screen

that is

\x1b[1;1f\x1b[J

This may be a bit more elegant than just printing 300 newlines ;)

See ANSI escape code.

Associated revisions
Revision ae1b9cad - 02/09/2012 08:50 PM - J. Moringen
Use ANSI escape sequence in logger/MonitorEventFormatter.cpp
fixes #864
    -  logger/MonitorEventFormatter.cpp: use ANSI escape sequence to clear

  screen instead of printing empty lines

History
#1 - 02/07/2012 06:58 PM - J. Moringen

Since file attachments do not work, inline test program here:

#include <stdio.h>

int main() {
    printf("\x1b[1;1f\x1b[J");
}

#2 - 02/09/2012 08:37 PM - J. Moringen
- Status changed from New to In Progress
- Assignee changed from Anonymous to J. Moringen
- Target version set to 0.6

#3 - 02/09/2012 08:50 PM - J. Moringen
http://en.wikipedia.org/wiki/ANSI_escape_code


- Status changed from In Progress to Resolved
- % Done changed from 0 to 100

Applied in changeset r3292.

#4 - 02/09/2012 08:50 PM - J. Moringen
- Status changed from Resolved to Feedback

Hm, maybe we should disable this for Windows?

#5 - 02/09/2012 08:51 PM - J. Moringen

touch

#6 - 02/27/2012 02:51 PM - J. Wienke
- Priority changed from Normal to Low

#7 - 02/27/2012 02:51 PM - J. Wienke
- Status changed from Feedback to Resolved
